raw2hdf(1)

NAME
raw2hdf — Create an .hdf hard disk image from a raw data file

SYNOPSIS
raw2hdf [OPTION] rawfile hdffile

DESCRIPTION
raw2hdf converts a binary dump of a hard disk's data into an IDE disk image in .hdf format for use with Sinclair ZX Spectrum emulators.

OPTIONS

-v version
    specifies the version of .hdf image to be created. Valid values are `1.0' for a version 1.0 file and `1.1' for a version 1.1 file. Defaults to creating version 1.1 files.

-h, --help
    give brief usage help, listing available options.

-V, --version
    output version information.

rawfile
    specifies a raw data file (or block device corresponding to an actual disk) to be converted.

hdffile
    specifies the .hdf file to create.

NOTES
Since raw2hdf has no knowledge of the geometry of the disk from which the original image was taken (indeed, the input file need not originate from a real IDE disk at all), there is no guarantee that the information contained in the .hdf file header accurately represents the original disk. However, it will attempt to construct a header that is consistent with the size of the image, to produce an .hdf file which is functionally equivalent.

BUGS
None known.

SEE ALSO
fuse(1), fuse-utils(1), libspectrum(3)

The .hdf format specification, at
http://www.zxshed.co.uk/sinclairfaq/index.php5?title=HDF_format.

The comp.sys.sinclair Spectrum FAQ, at
http://www.worldofspectrum.org/faq/index.html.

AUTHOR
Matthew Westcott (matthew@west.co.tt).